Package org.kapott.hbci.smartcardio

# Class ChipTanCardService

java.lang.Object
org.kapott.hbci.smartcardio.SmartCardService
org.kapott.hbci.smartcardio.ChipTanCardService

public class ChipTanCardService extends SmartCardService
Implementierung des Kartenservice fuer das Verfahren chipTAN-USB.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.kapott.hbci.smartcardio.SmartCardService

`SmartCardService.Feature`

## Constructor Summary

Constructors
Constructor
Description
`ChipTanCardService()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getTan(String hhduc)`
Sendet das HHDuc an den Kartenleser und liefert die eingegebene TAN zurueck.
`String`
`getTanScardControl(String hhduc)`
Sendet das HHDuc per ScardControl an den Kartenleser und liefert die eingegebene TAN zurueck.
`String`
`getTanScardTransmit(String hhduc)`
Sendet das HHDuc per ScardTransmit an den Kartenleser und liefert die eingegebene TAN zurueck.
`String`
`parseTAN(byte[] bytes)`
Konvertiert die BCD-codierte TAN in einen String.

### Methods inherited from class org.kapott.hbci.smartcardio.SmartCardService

`check, close, createInstance, expand, getCard, getChallenge, getFeatures, getKeyInfo, init, internalAuthenticate, putData, readBinary, readRecordBySFI, receive, receive, selectFile, selectSubFile, send, toBytes, toHex, toHex, updateRecordBySFI, writeRecordBySFI`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ChipTanCardService

public ChipTanCardService()

## Method Details

### getTan

public String getTan(String hhduc)
Sendet das HHDuc an den Kartenleser und liefert die eingegebene TAN zurueck.

Parameters:
  `hhduc` - das HHDuc.
Returns:
  die TAN. Oder NULL, wenn sie nicht zur Uebertragung ausgewaehlt wurde.

### getTanScardControl

public String getTanScardControl(String hhduc) throws Exception
Sendet das HHDuc per ScardControl an den Kartenleser und liefert die eingegebene TAN zurueck.

Parameters:
  `hhduc` - das HHDuc.
Returns:
  die TAN. Oder NULL, wenn sie nicht zur Uebertragung ausgewaehlt wurde.
Throws:
  `Exception`

### getTanScardTransmit

public String getTanScardTransmit(String hhduc) throws Exception
Sendet das HHDuc per ScardTransmit an den Kartenleser und liefert die eingegebene TAN zurueck.

Parameters:
  `hhduc` - das HHDuc.
Returns:
  die TAN. Oder NULL, wenn sie nicht zur Uebertragung ausgewaehlt wurde.
Throws:
  `Exception`

### parseTAN

public String parseTAN(byte[] bytes)
Konvertiert die BCD-codierte TAN in einen String.

Parameters:
  `bytes` - die Bytes.
Returns:
  der String.